Bug 169723 - unable to delete bridge interface
unable to delete bridge interface
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: bridge-utils (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
: 169724 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-01 23:50 EDT by Ted Kaczmarek
Modified: 2008-03-09 01:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 01:10:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2005-10-01 23:50:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I am unable to create a bridge interface slaved to eth1 after creating it.


 brctl show
bridge name     bridge id               STP enabled     interfaces
xen-br0         8000.feffffffffff       no              peth0
                                                        vif0.0
xen-br1         8000.00e081053c6c       no              eth1
sh-3.00# ifdown eth1
eth1: Setting promiscuous mode.
eth1: Setting promiscuous mode.
eth1: Setting promiscuous mode.
eth1: Setting promiscuous mode.
xen-br1: port 1(eth1) entering disabled state
sh-3.00# brctl show
bridge name     bridge id               STP enabled     interfaces
xen-br0         8000.feffffffffff       no              peth0
                                                        vif0.0
xen-br1         8000.00e081053c6c       no              eth1
sh-3.00# brctl delbr xen-br1
bridge xen-br1 is still up; can't delete it


Version-Release number of selected component (if applicable):
bridge-utils-1.0.4-6

How reproducible:
Always

Steps to Reproduce:
1. Xen dom0, create second bridge slaved to eth1
2. Try to delete second bridge
3.
  

Actual Results:  bridge xen-br1 is still up; can't delete it


Expected Results:  bridge interface should be deleted

Additional info:

I am using hg checkout of xen, and xen kernel if you can't reproduce with the rpms you guys have just close it, when I tried with the rpms I got a panic when trying to bring the second bridge up. But as the changelog for xend says.....
Comment 1 Ted Kaczmarek 2005-10-03 06:31:51 EDT
ifconfig xen-br1 down
brctl delbr xen-br1

:-)

Was trying ifdown instead of ifconfig down.
Would it be possible to get the man page updated to reflect this or should
ifdown have worked?
Comment 2 David Woodhouse 2006-09-09 04:50:24 EDT
*** Bug 169724 has been marked as a duplicate of this bug. ***
Comment 3 Christian Iseli 2007-01-22 06:12:17 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-03-09 01:10:14 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.